std::ranges::forward_range(3)

NAME
std::ranges::forward_range - std::ranges::forward_range

Synopsis
   Defined in header <ranges>
   template< class T >
   concept forward_range = (since C++20)
   ranges::input_range<T> &&
   std::forward_iterator<ranges::iterator_t<T>>;
   The forward_range concept is a refinement of range for which ranges::begin returns a
   model of forward_iterator.